package com.fzm.mall.server.admin.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.system.entity.dto.SysConfigDTO;
import com.fzm.mall.server.admin.system.entity.dto.SysConfigSaveDTO;
import com.fzm.mall.server.admin.system.entity.dto.SysConfigUpdateDTO;
import com.fzm.mall.server.admin.system.model.SysConfig;

/**
 * <p>
 * 系统配置表 服务类
 * </p>
 *
 * @author wulixian
 * @since 2021-03-29
 */
public interface ISysConfigService extends IService<SysConfig> {

    void save(SysConfigSaveDTO sysConfigSaveDTO);

    void update(SysConfigUpdateDTO sysConfigUpdateDTO);

    void delete(String configId);

    SysConfigDTO read(String configId);

    IPage<SysConfigDTO> page(Page<SysConfigDTO> page, String keyword);

    /**
     * 系统中心-全局配置-启用状态-编辑
     * @param configId
     * @param validState
     * @param updateTime
     */
    void validStateUpdate(String configId, Boolean validState, Long updateTime);
}
